UNQUEUE_ME(9)

NAME
unqueue_me - Remove the futex_q from its futex_hash_bucket

SYNOPSIS

int unqueue_me(struct futex_q * q);

ARGUMENTS

q
    The futex_q to unqueue

DESCRIPTION

The q->lock_ptr must not be held by the caller. A call to unqueue_me must be paired with exactly one earlier call to queue_me.

RETURN

1 - if the futex_q was still queued (and we removed unqueued it); 0 - if the futex_q was already removed by the waking thread

AUTHOR

Rusty Russell <rusty@rustcorp.com.au>
    Author.

COPYRIGHT